## org.eclipse.emf.ocl.expressions
Interface ExpressionsFactory

All Superinterfaces:
  EFactory, EModelElement, EObject, Notifier

All Known Implementing Classes:
  ExpressionsFactoryImpl

Deprecated. Use the `EcoreFactory` interface, instead.

    @Deprecated
    public interface ExpressionsFactory

extends EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `ExpressionsPackage`

Field Summary
`static String` `copyright` Deprecated.
`static ExpressionsFactory` `eINSTANCE` Deprecated. The singleton instance of the factory

Method Summary
`AssociationClassCallExp` `createAssociationClassCallExp()` Deprecated. Returns a new object of class 'Association Class Call Exp'
`BooleanLiteralExp` `createBooleanLiteralExp()` Deprecated. Returns a new object of class 'Boolean Literal Exp'
`CollectionItem` `createCollectionItem()` Deprecated. Returns a new object of class 'Collection Item'
`CollectionLiteralExp` `createCollectionLiteralExp()` Deprecated. Returns a new object of class 'Collection Literal Exp'
`CollectionLiteralPart` `createCollectionLiteralPart()` Deprecated. Returns a new object of class 'Collection Literal Part'
`CollectionRange` `createCollectionRange()` Deprecated. Returns a new object of class 'Collection Range'
`EnumLiteralExp` `createEnumLiteralExp()` Deprecated. Returns a new object of class 'Enum Literal Exp'
`IfExp` `createIfExp()` Deprecated. Returns a new object of class 'If Exp'
`IntegerLiteralExp` `createIntegerLiteralExp()` Deprecated. Returns a new object of class 'Integer Literal Exp'
`InvalidLiteralExp` `createInvalidLiteralExp()` Deprecated. Returns a new object of class 'Invalid Literal Exp'
`IterateExp` `createIterateExp()` Deprecated. Returns a new object of class 'Iterate Exp'
`IteratorExp` `createIteratorExp()` Deprecated. Returns a new object of class 'Iterator Exp'
`LetExp` `createLetExp()` Deprecated. Returns a new object of class 'Let Exp'
`LoopExp` `createLoopExp()` Deprecated. Returns a new object of class 'Loop Exp'
`MessageExp` `createMessageExp()` Deprecated. Returns a new object of class 'Message Exp'
`NullLiteralExp` `createNullLiteralExp()` Deprecated. Returns a new object of class 'Null Literal Exp'
`OCLExpression` `createOCLExpression(String text)` Deprecated. Parses the specified OCL expression `text` to create a new expression instance.
`OperationCallExp` `createOperationCallExp()` Deprecated. Returns a new object of class 'Operation Call Exp'
`PropertyCallExp` `createPropertyCallExp()` Deprecated. Returns a new object of class 'Property Call Exp'
`RealLiteralExp` `createRealLiteralExp()` Deprecated. Returns a new object of class 'Real Literal Exp'
`StateExp` `createStateExp()` Deprecated. Returns a new object of class 'State Exp'
`StringLiteralExp` `createStringLiteralExp()` Deprecated. Returns a new object of class 'String Literal Exp'
`StringLiteralExp` `createStringLiteralExp(String s)` Deprecated.
`TupleLiteralExp` `createTupleLiteralExp()` Deprecated. Returns a new object of class 'Tuple Literal Exp'
`TupleLiteralPart` `createTupleLiteralPart()` Deprecated. Returns a new object of class 'Tuple Literal Part'
`TypeExp` `createTypeExp()` Deprecated. Returns a new object of class 'Type Exp'
`UnspecifiedValueExp` `createUnspecifiedValueExp()` Deprecated. Returns a new object of class 'Unspecified Value Exp'
`Variable` `createVariable()` Deprecated. Returns a new object of class 'Variable'
`VariableExp` `createVariableExp()` Deprecated. Returns a new object of class 'Variable Exp'
`ExpressionsPackage` `getExpressionsPackage()` Deprecated. Returns the package supported by this factory

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, create, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### copyright

    static final String copyright

  Deprecated.

  See Also:
    Constant Field Values

### eINSTANCE

    static final ExpressionsFactory eINSTANCE

  Deprecated.
  The singleton instance of the factory.

Method Detail

### createOCLExpression

    OCLExpression createOCLExpression(String text)
                                      throws ParserException

  Deprecated.
  Parses the specified OCL expression `text` to create a new expression instance.

  The text must be of the form "context a::b::c inv: oclexpression" or, optionally, "package a::b context c inv: oclexpression endpackage".

  Parameters:
    `text` - the OCL expression text to parse
  Returns:
    the parsed expression, if the OCL expression is valid
  Throws:
    `ParserException` - in case of an error in parsing the expression

### createPropertyCallExp

    PropertyCallExp createPropertyCallExp()

  Deprecated.
  Returns a new object of class 'Property Call Exp'.

  Returns:
    a new object of class 'Property Call Exp'.

### createTupleLiteralPart

    TupleLiteralPart createTupleLiteralPart()

  Deprecated.
  Returns a new object of class 'Tuple Literal Part'.

  Returns:
    a new object of class 'Tuple Literal Part'.

### createBooleanLiteralExp

    BooleanLiteralExp createBooleanLiteralExp()

  Deprecated.
  Returns a new object of class 'Boolean Literal Exp'.

  Returns:
    a new object of class 'Boolean Literal Exp'.

### createCollectionItem

    CollectionItem createCollectionItem()

  Deprecated.
  Returns a new object of class 'Collection Item'.

  Returns:
    a new object of class 'Collection Item'.

### createCollectionLiteralExp

    CollectionLiteralExp createCollectionLiteralExp()

  Deprecated.
  Returns a new object of class 'Collection Literal Exp'.

  Returns:
    a new object of class 'Collection Literal Exp'.

### createCollectionLiteralPart

    CollectionLiteralPart createCollectionLiteralPart()

  Deprecated.
  Returns a new object of class 'Collection Literal Part'.

  Returns:
    a new object of class 'Collection Literal Part'.

### createCollectionRange

    CollectionRange createCollectionRange()

  Deprecated.
  Returns a new object of class 'Collection Range'.

  Returns:
    a new object of class 'Collection Range'.

### createEnumLiteralExp

    EnumLiteralExp createEnumLiteralExp()

  Deprecated.
  Returns a new object of class 'Enum Literal Exp'.

  Returns:
    a new object of class 'Enum Literal Exp'.

### createIfExp

    IfExp createIfExp()

  Deprecated.
  Returns a new object of class 'If Exp'.

  Returns:
    a new object of class 'If Exp'.

### createIntegerLiteralExp

    IntegerLiteralExp createIntegerLiteralExp()

  Deprecated.
  Returns a new object of class 'Integer Literal Exp'.

  Returns:
    a new object of class 'Integer Literal Exp'.

### createIterateExp

    IterateExp createIterateExp()

  Deprecated.
  Returns a new object of class 'Iterate Exp'.

  Returns:
    a new object of class 'Iterate Exp'.

### createIteratorExp

    IteratorExp createIteratorExp()

  Deprecated.
  Returns a new object of class 'Iterator Exp'.

  Returns:
    a new object of class 'Iterator Exp'.

### createLetExp

    LetExp createLetExp()

  Deprecated.
  Returns a new object of class 'Let Exp'.

  Returns:
    a new object of class 'Let Exp'.

### createLoopExp

    LoopExp createLoopExp()

  Deprecated.
  Returns a new object of class 'Loop Exp'.

  Returns:
    a new object of class 'Loop Exp'.

### createMessageExp

    MessageExp createMessageExp()

  Deprecated.
  Returns a new object of class 'Message Exp'.

  Returns:
    a new object of class 'Message Exp'.

### createOperationCallExp

    OperationCallExp createOperationCallExp()

  Deprecated.
  Returns a new object of class 'Operation Call Exp'.

  Returns:
    a new object of class 'Operation Call Exp'.

### createRealLiteralExp

    RealLiteralExp createRealLiteralExp()

  Deprecated.
  Returns a new object of class 'Real Literal Exp'.

  Returns:
    a new object of class 'Real Literal Exp'.

### createStringLiteralExp

    StringLiteralExp createStringLiteralExp()

  Deprecated.
  Returns a new object of class 'String Literal Exp'.

  Returns:
    a new object of class 'String Literal Exp'.

### createStringLiteralExp

    StringLiteralExp createStringLiteralExp(String s)

  Deprecated.

### createTupleLiteralExp

    TupleLiteralExp createTupleLiteralExp()

  Deprecated.
  Returns a new object of class 'Tuple Literal Exp'.

  Returns:
    a new object of class 'Tuple Literal Exp'.

### createUnspecifiedValueExp

    UnspecifiedValueExp createUnspecifiedValueExp()

  Deprecated.
  Returns a new object of class 'Unspecified Value Exp'.

  Returns:
    a new object of class 'Unspecified Value Exp'.

### createVariable

    Variable createVariable()

  Deprecated.
  Returns a new object of class 'Variable'.

  Returns:
    a new object of class 'Variable'.

### createVariableExp

    VariableExp createVariableExp()

  Deprecated.
  Returns a new object of class 'Variable Exp'.

  Returns:
    a new object of class 'Variable Exp'.

### createAssociationClassCallExp

    AssociationClassCallExp createAssociationClassCallExp()

  Deprecated.
  Returns a new object of class 'Association Class Call Exp'.

  Returns:
    a new object of class 'Association Class Call Exp'.

### createNullLiteralExp

    NullLiteralExp createNullLiteralExp()

  Deprecated.
  Returns a new object of class 'Null Literal Exp'.

  Returns:
    a new object of class 'Null Literal Exp'.

### createInvalidLiteralExp

    InvalidLiteralExp createInvalidLiteralExp()

  Deprecated.
  Returns a new object of class 'Invalid Literal Exp'.

  Returns:
    a new object of class 'Invalid Literal Exp'.

### createTypeExp

    TypeExp createTypeExp()

  Deprecated.
  Returns a new object of class 'Type Exp'.

  Returns:
    a new object of class 'Type Exp'.

### createStateExp

    StateExp createStateExp()

  Deprecated.
  Returns a new object of class 'State Exp'.

  Returns:
    a new object of class 'State Exp'.

### getExpressionsPackage

    ExpressionsPackage getExpressionsPackage()

  Deprecated.
  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.